Skip to main content
GET
/
notifications
/
{groupId}
Retrieve a Notification Group
curl --request GET \
  --url https://v1.api.altostrat.io/notifications/{groupId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/notifications/{groupId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/notifications/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ntfgrp_9b01a14c-1123-4279-88b1-3e42f9b846e1",
  "name": "Primary On-Call Team Alerts",
  "schedule_id": "sch_7d1b8c0c-5121-4f27-849c-29b3a0e6201a",
  "mute": "schedule-active",
  "notifiables": [
    {
      "id": "usr_5f0b6e1b-4f1e-4b4a-8b0a-0e6f0b6e1b4f",
      "channel": "whatsapp"
    }
  ],
  "topics": [
    "top_9cffb446-18a5-445a-948c-e6f1d98930af",
    "top_9ba5d51f-3ada-44f2-9fb9-bf2404a29f50"
  ],
  "sites": [
    "site_a2b3c4d5-e6f7-g8h9-i0j1-k2l3m4n5o6p7",
    "site_b3c4d5e6-f7g8-h9i0-j1k2-l3m4n5o6p7q8"
  ],
  "created_at": "2025-10-29T12:24:17.000Z",
  "updated_at": "2025-10-29T12:28:00.000Z"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

Altostrat uses OAuth2 for authentication. Tokens can be obtained from the Altostrat Authentication API.

Path Parameters

groupId
string<uuid>
required

The unique identifier of the notification group.

Response

The requested notification group object.

id
string<uuid>

The unique identifier for the notification group.

Example:

"ntfgrp_9b01a14c-1123-4279-88b1-3e42f9b846e1"

name
string

A human-readable name for the notification group.

Example:

"Primary On-Call Team Alerts"

schedule_id
string<uuid>

The UUID of a Schedule object from the Chrono API, which defines when this group is active.

Example:

"sch_7d1b8c0c-5121-4f27-849c-29b3a0e6201a"

mute
enum<string>

Controls the mute state of the group. schedule-active mutes when the schedule is inactive, schedule-inactive mutes when the schedule is active. never and always are absolute states.

Available options:
schedule-active,
schedule-inactive,
never,
always
Example:

"schedule-active"

notifiables
object[]

An array of recipients and their designated notification channels.

topics
string<uuid>[]

An array of Topic UUIDs to which this group subscribes.

Example:
[
"top_9cffb446-18a5-445a-948c-e6f1d98930af",
"top_9ba5d51f-3ada-44f2-9fb9-bf2404a29f50"
]
sites
string<uuid>[]

An array of Site UUIDs that this group will receive notifications for.

Example:
[
"site_a2b3c4d5-e6f7-g8h9-i0j1-k2l3m4n5o6p7",
"site_b3c4d5e6-f7g8-h9i0-j1k2-l3m4n5o6p7q8"
]
created_at
string<date-time>

The timestamp when the notification group was created.

Example:

"2025-10-29T12:24:17.000Z"

updated_at
string<date-time>

The timestamp when the notification group was last updated.

Example:

"2025-10-29T12:28:00.000Z"